Experimental Greenworks plugin

Discussion and feedback on Construct 2

Post » Wed Nov 16, 2016 11:46 am

Lasmelan wrote:Can we expect an update to this plugin compatible with SDK 1.38 soon?

I have the same question here.
B
62
S
14
G
5
Posts: 264
Reputation: 5,976

Post » Fri Jan 20, 2017 1:33 pm

I would love to see this experimental plugin becoming an native plugin, because it's pretty much essential. Having to buy expensive third party plugins that uses old nw.js and old Steam SDK versions is kind of disappointing. Please, don't make us wait for Construct 3 to have this feature implemented natively, we know that Construct 3 is not coming that soon.
Image
B
40
S
14
G
2
Posts: 121
Reputation: 3,501

Post » Fri Jan 20, 2017 1:51 pm

mateussales wrote:I would love to see this experimental plugin becoming an native plugin, because it's pretty much essential. Having to buy expensive third party plugins that uses old nw.js and old Steam SDK versions is kind of disappointing. Please, don't make us wait for Construct 3 to have this feature implemented natively, we know that Construct 3 is not coming that soon.


The Steam4C2 plugin is always compatable with the latest stable version of NW that has proven to work well with steam. So saying that it needs old nw.js versions is wrong. A new nw is on the way that will solve many problems that we have had earlier and you'll see that Steam4c2 will be updated to work with that one as well. And the steam sdk will be updated if there is any important changes added which almost never happens so it really doesn't matter at all.

So if you have a game ready for steam then just pay for the plugin and you'll have steam achievements and stats in no time. You'll have the money back in sales the first day of release anyway.

Best of luck with your project :)
Last edited by Anonnymitet on Fri Jan 20, 2017 2:27 pm, edited 1 time in total.
B
54
S
23
G
12
Posts: 747
Reputation: 11,910

Post » Fri Jan 20, 2017 2:08 pm

I already bought Steam4C2, but it's not compatible with the latest version of nw.js and Steam SDK. It actually uses v0.18.5, but v0.18.7, v0.19.0 and v0.19.2 are already out, and there's no support for those versions. You also need to use Steam dlls from SDK 138 instead of SDK 139, which doesn't sound that cool. I'm not saying that the plugin is bad in anyway, it seems to work really well for some people, but i alway rather have native features.
BTW, i saw your game on the store, it's awesome! Would love if you could check out mine too. :)

http://store.steampowered.com/app/516480/

Sorry if i said something wrong, it's not my main language.
Image
B
40
S
14
G
2
Posts: 121
Reputation: 3,501

Post » Fri Jan 20, 2017 2:25 pm

@mateussales I understand. Usually the plugin works with the latest version of nw that has proven to work well with steam. So if some new versions have some bugs that version might be skipped. But I wouldn't worry too much about it atm. If you have the plugin you'll at least be able to provide the most important steam features without any problems and MadSpy also provides fantastic support as well. And I totally understand that people would like to have a working steam plugin in C2 that comes with the software but until then I'm so glad to have an alternative that works great :)

Thank you for that, your games looks great and very affordable as well :) I'll buy a copy and try it out. I can see on the reviews that people seems to like it so congrats for that and best of luck with your future projects :D
B
54
S
23
G
12
Posts: 747
Reputation: 11,910

Post » Fri Jan 20, 2017 3:07 pm

I'll try get an updated greenworks out with support for 0.19. Looks like there's a release that covers it here: https://github.com/greenheartgames/greenworks/releases/tag/v0.8.0
Scirra Founder
B
395
S
232
G
88
Posts: 24,368
Reputation: 193,746

Post » Fri Jan 20, 2017 4:51 pm

Scirra Founder
B
395
S
232
G
88
Posts: 24,368
Reputation: 193,746

Post » Fri Jan 20, 2017 6:07 pm

mateussales wrote:I already bought Steam4C2, but it's not compatible with the latest version of nw.js and Steam SDK. It actually uses v0.18.5, but v0.18.7, v0.19.0 and v0.19.2 are already out, and there's no support for those versions. You also need to use Steam dlls from SDK 138 instead of SDK 139, which doesn't sound that cool. I'm not saying that the plugin is bad in anyway, it seems to work really well for some people, but i alway rather have native features.
BTW, i saw your game on the store, it's awesome! Would love if you could check out mine too. :)

http://store.steampowered.com/app/516480/

Sorry if i said something wrong, it's not my main language.


The 1.39 SDK update didn't come out that long ago, and doesn't bring any new gameplay-related features, so that's kind of irrelevant in terms of support. While it would be nice to have support for EVERY version of nwjs, that's somewhat unrealistic considering how often they're released and what's involved in supporting them due to C2's SDK requiring separate builds of the plugin for each version of nwjs that needs maintenance. Things take time. The Steam4C2 plugin is already head & shoulders above any other Steam-related support - as in, it actually works, across many versions of nwjs - and hopefully it'll get updated soon.

Also, the existing Steam4C2 version for nwjs 19.x will work in 19.2, even though it's not listed as working in that version.
B
76
S
43
G
24
Posts: 525
Reputation: 20,555

Post » Fri Jan 20, 2017 7:30 pm

Turns out I just configured it wrong. The latest greenworks does work with 0.19.4! So, updated with a new version of the C2 plugin - see the original post for link & new instructions.

I released NW.js 0.19.4 for this Greenworks update too, since you tend to have to exactly version-match everything or it doesn't work. You can download it now from https://www.scirra.com/nwjs

Also note as of this update, there's a new sdkencryptedappticket library you need to add for it to work. The instructions in the original post have been updated to cover this. It's basically just another DLL you have to copy over.
Scirra Founder
B
395
S
232
G
88
Posts: 24,368
Reputation: 193,746

Post » Fri Jan 20, 2017 7:36 pm

Note : the APP ID you use have to be owned and installed ^^
Image Image
B
22
S
13
G
135
Posts: 871
Reputation: 70,320

PreviousNext

Return to Construct 2 General

Who is online

Users browsing this forum: jobel and 3 guests